import request from '@/utils/request'

// 查询研究资料管理列表
export function listProjectApproval(query) {
  return request({
    url: '/study/projectApproval/list',
    method: 'get',
    params: query
  })
}

// 查询研究资料管理详细
export function getProjectApproval(id) {
  return request({
    url: '/study/projectApproval/' + id,
    method: 'get'
  })
}

// 新增研究资料管理
export function addProjectApproval(data) {
  return request({
    url: '/study/projectApproval',
    method: 'post',
    data: data
  })
}

// 修改研究资料管理
export function updateProjectApproval(data) {
  return request({
    url: '/study/projectApproval',
    method: 'put',
    data: data
  })
}

// 删除研究资料管理
export function delProjectApproval(id) {
  return request({
    url: '/study/projectApproval/' + id,
    method: 'delete'
  })
}
